Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.SendingContext
Class RunTimePOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.SendingContext.RunTimePOA
                  |
                  +--org.omg.SendingContext.RunTimePOATie

All Implemented Interfaces:
  InvokeHandler, RunTimeOperations

public class RunTimePOATie
extends RunTimePOA

Interface defined so that we can provide more sending context run time services in the future

Constructor Summary
`RunTimePOATie(RunTimeOperations tieObject)` Constructor
`RunTimePOATie(RunTimeOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`RunTimeOperations` | `_delegate()` Get the delegate
`void` | `_delegate(RunTimeOperations delegate_)` Set the delegate

Methods inherited from class org.omg.SendingContext.RunTimePOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunTimePOATie

    public RunTimePOATie(RunTimeOperations tieObject)

  Constructor

### RunTimePOATie

    public RunTimePOATie(RunTimeOperations tieObject,
                         POA poa)

  Constructor

Method Detail

### _delegate

    public RunTimeOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(RunTimeOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD